Subject: bug#58290: guile ssh error on guix deploy

From: Andrew Tropin <[email-masked]>
Date: Tue, 24 Jan 2023 19:53:12 +0400

On 2023-01-23 22:50, Ludovic Courtès wrote:

> Hi Artyom,
>
> "Artyom V. Poptsov" <[email-masked]> skribis:
>
>> I figured out how to fix Guile-SSH channel "leak", so to say, that lead
>> to the OpenSSH "no more sessions" problem.
>>
>> Please run your tests with this branch and let me know if it works for
>> you (including all the edge cases):
>>   https://github.com/artyom-poptsov/guile-ssh/tree/wip-fix-channel-leak
>
> It works!  Specifically, I ran:
>
>   guix shell guile guile-ssh \
>     --with-branch=guile-ssh=wip-fix-channel-leak -- \
>     guile ssh-channels.scm
>
> and the script (same one as before) ran several hundreds of iterations
> just fine.

Can confirm the same, works on my machine :)  Thank you very much.

>
> I had looked at ‘ptob_close’ and related code but didn’t see this issue;
> good catch!
>
> If you plan to push a new release, we’ll just upgrade in Guix; otherwise
> we can apply the patch locally.
>
> Thank you!
>
> Ludo’.

-- 
Best regards,
Andrew Tropin